use crate::api::v1::{get_version, health_check, onboarding};
use crate::model::config::SMTPConfig;
use axum::{routing, Router};

pub mod v1;

pub fn new(smtp_config: SMTPConfig) -> Router {
    Router::new().nest(
        "/v1",
        onboarding::new(smtp_config)
            .route("/version", routing::get(get_version))
            .route("/health", routing::get(health_check)),
    )
}
